Subject: [AVT] Re: Text for inclusion in rfc2833bis

From: Henning Schulzrinne <[email-masked]>
Date: Tue, 28 May 2002 15:23:25 -0400

You may not remember this message, but I will be folding this text, 
slightly edited, into a soon-to-be-released rfc2833bis-00.

Rajesh Kumar wrote:
> 
> Dr. Schulzrinne:
> 
> Here is the text I promised for rfc2833bis to support a 'trunk 
> unavailable' event. I think it is pretty solid, however, the AVT team is 
> requested to review, criticize and ask for explanations as needed.
> 
> With best regards,
> 
> Rajesh
>  
>  
>  
>  
> 
> 
> ------------------------------------------------------------------------
> 
> 
> 
> 
> 
> 
>   
> Dr. Schulzrinne: Here is the text I promised for rfc2833bis to support a 'trunk unavailable' event.-rajesh
> 
> 
> 
>        Event                           encoding (decimal)
>        __________________________________________________
>         
>        Trunk unavailable                   ???
> 
>                      Table 6: Trunk events
> 
>        Trunk unavailable: The trunk is unavailable for service. The duration
>            field is set to a value, typically 1 second, that allows adequate
>            granularity in demarcating downtime. When there is a change to 
>            an unavailable state, this event is sent with the same 
>            timestamp 3 times at an interval of 20 ms. A 5 ms interval can 
>            also be used. If the trunk persists in the unavailable state at 
>            the end of the indicated duration, then it is retransmitted, 
>            preferably with the same redundancy scheme.
> 
>            Unavailability of the trunk might result from a failure or an
>            administrative action. This event is used in a stateless manner
>            to synchronize trunk unavailability between equipment connected 
>            through provisioned RTP trunks. It avoids the unnecessary 
>            consumption of bandwidth in sending a continuous stream of
>            RTP packets with a fixed payload for the duration of the
>            downtime, as would be required in certain E1-based applications.
>            In T1-based applications, trunk conditioning via the ABCD 
>            transitional events can be used instead.
> 
>  
>  
>  
> 
> 
> ------------------------------------------------------------------------
> 
> Thanks.
> 
> Rajesh
> ------------------------------------------------
> Rajesh Kumar, Cisco Voice Technology Center
> Tel: 408-527-0811, Fax: 408-853-1101
> Epage: mailto:[email-masked]
> ------------------------------------------------
> 

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt